Subject: [Sipping] Notify syntax in draft-poetzl-sipping-call-completion-01

From: [email-masked]
Date: Wed, 24 Jan 2007 14:30:05 +0100

Hello,

I have a question regarding the correct syntax of a NOTIFY message for 
the call-completion Event Package.

According to draft-poetzl-sipping-call-completion-01 section 5.7 it says:

    Upon receiving a subscription refresh, the notifier MUST set the 
    Expires header to the current remaining duration of the 
    subscription regardless of the value received in the Expires header 
    (if present) of the subscription refresh

However this seems to contradict RFC 3265 (section 3.2.2) where it states the following:

      Including expiration information for active and pending
      subscriptions is useful in case the SUBSCRIBE request forks, since
      the response to a forked SUBSCRIBE may not be received by the
      subscriber.  Note well that this "expires" value is a parameter on
      the "Subscription-State" header, NOT an "Expires" header.

Shouldn't Subscription-State be used instead of an Expires header for NOTIFY requests?

Torrey
Alcatel-Lucent

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "GARCIN Sebastien RD-CORE-ISS" <[email-masked]>
Date: Thu, 25 Jan 2007 16:50:43 +0100

Hello torrey,

I believe that you are right. It should be "...Expires parameter to the current remaining duration..." and not "...Expires header...". 

We will fix this.

Thanks,
sébastien

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] 
Envoyé : mercredi 24 janvier 2007 14:30
À : [email-masked]
Objet : [Sipping] Notify syntax in draft-poetzl-sipping-call-completion-01

Attention, votre correspondant continue de vous écrire à votre ancienne adresse en @orange-ft.com, qui va être désactivée début avril. Veuillez lui demander de mettre à jour son carnet d'adresses avec votre nouvelle adresse en @orange-ftgroup.com.

Caution : your correspondent is still writing to your orange-ft.com address, which will be disabled beginning of April. Please ask him/her to update his/her address book to orange-ftgroup.com ..................................................

Hello,

Torrey
Alcatel-Lucent

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP Use [email-masked] for questions on current sip Use [email-masked] for new developments of core SIP